Package com.google.earth.kml._2

# Class StyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.StyleSelectorType
com.google.earth.kml._2.StyleType

public class StyleType extends StyleSelectorType
<p>Java class for StyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="StyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}StyleSelectorType"> <sequence> <element ref="{http://earth.google.com/kml/2.1}IconStyle" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}LabelStyle" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}LineStyle" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}PolyStyle" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}BalloonStyle" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}ListStyle" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BalloonStyleType`
  `balloonStyle`
  `protected IconStyleType`
  `iconStyle`
  `protected LabelStyleType`
  `labelStyle`
  `protected LineStyleType`
  `lineStyle`
  `protected ListStyleType`
  `listStyle`
  `protected PolyStyleType`
  `polyStyle`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BalloonStyleType`
  `getBalloonStyle()`
  Gets the value of the balloonStyle property.
  `IconStyleType`
  `getIconStyle()`
  Gets the value of the iconStyle property.
  `LabelStyleType`
  `getLabelStyle()`
  Gets the value of the labelStyle property.
  `LineStyleType`
  `getLineStyle()`
  Gets the value of the lineStyle property.
  `ListStyleType`
  `getListStyle()`
  Gets the value of the listStyle property.
  `PolyStyleType`
  `getPolyStyle()`
  Gets the value of the polyStyle property.
  `void`
  `setBalloonStyle(BalloonStyleType value)`
  Sets the value of the balloonStyle property.
  `void`
  `setIconStyle(IconStyleType value)`
  Sets the value of the iconStyle property.
  `void`
  `setLabelStyle(LabelStyleType value)`
  Sets the value of the labelStyle property.
  `void`
  `setLineStyle(LineStyleType value)`
  Sets the value of the lineStyle property.
  `void`
  `setListStyle(ListStyleType value)`
  Sets the value of the listStyle property.
  `void`
  `setPolyStyle(PolyStyleType value)`
  Sets the value of the polyStyle property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### iconStyle

    protected IconStyleType iconStyle

  - ### labelStyle

    protected LabelStyleType labelStyle

  - ### lineStyle

    protected LineStyleType lineStyle

  - ### polyStyle

    protected PolyStyleType polyStyle

  - ### balloonStyle

    protected BalloonStyleType balloonStyle

  - ### listStyle

    protected ListStyleType listStyle

- ## Constructor Details

  - ### StyleType

    public StyleType()

- ## Method Details

  - ### getIconStyle

    public IconStyleType getIconStyle()
    Gets the value of the iconStyle property.
    Returns:
      possible object is `IconStyleType`

  - ### setIconStyle

    public void setIconStyle(IconStyleType value)
    Sets the value of the iconStyle property.
    Parameters:
      `value` - allowed object is `IconStyleType`

  - ### getLabelStyle

    public LabelStyleType getLabelStyle()
    Gets the value of the labelStyle property.
    Returns:
      possible object is `LabelStyleType`

  - ### setLabelStyle

    public void setLabelStyle(LabelStyleType value)
    Sets the value of the labelStyle property.
    Parameters:
      `value` - allowed object is `LabelStyleType`

  - ### getLineStyle

    public LineStyleType getLineStyle()
    Gets the value of the lineStyle property.
    Returns:
      possible object is `LineStyleType`

  - ### setLineStyle

    public void setLineStyle(LineStyleType value)
    Sets the value of the lineStyle property.
    Parameters:
      `value` - allowed object is `LineStyleType`

  - ### getPolyStyle

    public PolyStyleType getPolyStyle()
    Gets the value of the polyStyle property.
    Returns:
      possible object is `PolyStyleType`

  - ### setPolyStyle

    public void setPolyStyle(PolyStyleType value)
    Sets the value of the polyStyle property.
    Parameters:
      `value` - allowed object is `PolyStyleType`

  - ### getBalloonStyle

    public BalloonStyleType getBalloonStyle()
    Gets the value of the balloonStyle property.
    Returns:
      possible object is `BalloonStyleType`

  - ### setBalloonStyle

    public void setBalloonStyle(BalloonStyleType value)
    Sets the value of the balloonStyle property.
    Parameters:
      `value` - allowed object is `BalloonStyleType`

  - ### getListStyle

    public ListStyleType getListStyle()
    Gets the value of the listStyle property.
    Returns:
      possible object is `ListStyleType`

  - ### setListStyle

    public void setListStyle(ListStyleType value)
    Sets the value of the listStyle property.
    Parameters:
      `value` - allowed object is `ListStyleType`